/*
    Copyright  1995-2001, The AROS Development Team. All rights reserved.
    $Id: catalog_funcs.c,v 1.3 2007/04/05 17:00:21 itix Exp $
*/

#include <libraries/locale.h>
#include "locale_intern.h"

/*
** Dispose the catalog's strings but not the Catalog structure 
** itself.
*/
void dispose_catalog(struct IntCatalog * cat,
                     struct LocaleBase * LocaleBase)
{
	if (cat->ic_MemPool)
	{
		DeletePool(cat->ic_MemPool);
	}

	FreeVec(cat->ic_StringChunk);

	cat->ic_CatStrings = NULL;
	cat->ic_StringChunk = NULL;
	cat->ic_MemPool = NULL;
}
